Get Verification Details
curl --request GET \
--url https://api.joinworth.com/integration/api/v1/verification/businesses/{businessID}/business-entity \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.joinworth.com/integration/api/v1/verification/businesses/{businessID}/business-entity"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.joinworth.com/integration/api/v1/verification/businesses/{businessID}/business-entity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>",
"message": "<string>",
"data": {
"businessEntityVerification": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-12-25",
"updated_at": "2023-12-25",
"business_integration_task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_id": "<string>",
"business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"tin": "<string>",
"formation_state": "<string>",
"formation_date": "2023-12-25",
"year": 123,
"number_of_employees": 123
},
"reviewTasks": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"business_entity_verification_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-12-25",
"updated_at": "2023-12-25",
"key": "<string>",
"message": "<string>",
"label": "<string>",
"sublabel": "<string>",
"metadata": [
{
"id": "ac01034d-325e-455b-bc3d-c1852c6bb306",
"type": "name",
"metadata": {
"name": "banking test 1",
"submitted": true
}
}
]
}
],
"registrations": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"business_entity_verification_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-12-25",
"updated_at": "2023-12-25",
"external_id": "<string>",
"name": "<string>",
"sub_status": "<string>",
"status_details": "<string>",
"jurisdiction": "<string>",
"entity_type": "<string>",
"file_number": "<string>",
"full_addresses": [
"<string>"
],
"registration_date": "2023-12-25",
"registration_state": "<string>",
"source": "<string>"
}
],
"addressSources": [
{
"id": "<string>",
"business_entity_verification_id": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"external_id": "<string>",
"external_registration_id": "<string>",
"full_address": "<string>",
"address_line_1": "<string>",
"address_line_2": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"lat": 123,
"long": 123,
"submitted": true,
"deliverable": true,
"cmra": true,
"address_property_type": "<string>"
}
],
"people": [
"<string>"
],
"names": [
{
"id": "<string>",
"business_entity_verification_id": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"name": "<string>",
"type": "<string>",
"submitted": true,
"source": [
{
"id": "<string>",
"type": "<string>",
"metadata": {
"state": "<string>",
"status": "<string>",
"file_number": "<string>",
"jurisdiction": "<string>"
}
}
]
}
]
}
}{
"status": "fail",
"message": "Business entity verification not found for 6f983451-e8c3-4442-8d10-7a15d2af8864",
"errorCode": "NOT_FOUND",
"data": {
"errorName": "VerificationApiError",
"details": [
"Business entity verification not found for 6f983451-e8c3-4442-8d10-7a15d2af8864"
]
}
}Business Details
Get Verification Details
Retrieves detailed verification results for a business, including submitted values, matched sources, and confidence levels.
GET
/
verification
/
businesses
/
{businessID}
/
business-entity
Get Verification Details
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Example:
"cab0edbc-7f0b-4d11-81e3-7bb9c41c6c57"
Was this page helpful?
⌘I